#
# spec file for package rubygem-activerecord-2_3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-activerecord-2_3
Version:        2.3.14
Release:        0.3.1
%define mod_name activerecord
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
Provides:       rubygem-%{mod_name} = %{version}-%{release}
# activesupport = 2.3.14
BuildRequires:  rubygem-activesupport-2_3 = %{version}
Requires:       rubygem-activesupport-2_3 = %{version}
#
Url:            http://www.rubyonrails.org
Source:         %{mod_full_name}.gem
#
Summary:        Implements the ActiveRecord pattern for ORM

%description
Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM. It ties database
tables and classes together for business objects, like Customer or
Subscription, that can find, save, and destroy themselves without resorting to
manual SQL.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
License:        MIT
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
License:        MIT
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep

%build

%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test

%changelog
* Wed Aug 17 2011 mrueckert@suse.de
- update to version 2.3.14
  - potential SQL injection with quote_table_name (bnc#712062)
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 2.3.12
  * Version Bump
* Wed Feb 16 2011 mrueckert@suse.de
- update to version 2.3.11: (bnc#668817)
  - XSS Risk in mail_to :encode=>:javascript CVE-2011-0446
  - CSRF Bypass Risk CVE-2011-0447
  - Filter Problems on Case Insensitive Filesystems CVE-2011-0449
  - Potential SQL Injection with limit() CVE-2011-0448
* Mon Jan 17 2011 mvidner@suse.cz
- Split off doc and testsuite subpackages.
* Wed Oct 27 2010 mrueckert@suse.de
- update to version 2.3.10
  * Security Release to fix CVE-2010-3933
* Sun Sep  5 2010 mrueckert@suse.de
- update to version 2.3.9
  * Version bump.
* Tue May 25 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue May 25 2010 mrueckert@suse.de
- update to version 2.3.8
  * Version bump.
- additional changes from version 2.3.7
  * Version bump.
- additional changes from version 2.3.6
  * Add index length support for MySQL.
    [#1852] [Emili Parreno, Pratik Naik]
  * find_or_create_by_attr(value, ...) works when attr is
    protected.  #4457 [Santiago Pastorino, Marc-André Lafortune]
  * JSON supports a custom root option: to_json(:root => 'custom')
    [#4515] [Jatinder Singh]
  * Destroy uses optimistic locking. If lock_version on the record
    you're destroying doesn't match lock_version in the database, a
    StaleObjectError is raised.  #1966 [Curtis Hawthorne]
  * To prefix the table names of all models in a module, define
    self.table_name_prefix on the module.  #4032 [Andrew White]
  * Association inverses for belongs_to, has_one, and has_many.
    Optimization to reduce database queries.  #3533 [Murray Steele]
  * MySQL: add_ and change_column support positioning.
    [#3286] [Ben Marini]
  * Reset your Active Record counter caches with the
    reset_counter_cache class method.
    [#1211] [Mike Breen, Gabe da Silveira]
* Tue Dec  1 2009 chris@computersalat.de
- update to version 2.3.5
  * Minor Bug Fixes and deprecation warnings
  * 1.9 Compatibility
  * Numerous fixes to the nested attributes functionality
* Thu Sep 10 2009 adrian@suse.de
- update to version 2.3.4
  * PostgreSQL: XML datatype support.  #1874 [Leonardo Borges]
  * SQLite: deprecate the 'dbfile' option in favor of 'database.'
    [#2363] [Paul Hinze, Jeremy Kemper]
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
